GDB_REGS_TO_PT_REGS(9)

NAME
gdb_regs_to_pt_regs - Convert GDB regs to ptrace regs.

SYNOPSIS

void gdb_regs_to_pt_regs(unsigned long * gdb_regs, struct pt_regs * regs);

ARGUMENTS

gdb_regs
    A pointer to hold the registers we've received from GDB.

regs
    A pointer to a struct pt_regs to hold these values in.

DESCRIPTION

Convert the GDB regs in gdb_regs into the pt_regs, and store them in regs.

AUTHOR

Jason Wessel <jason.wessel@windriver.com>
    Author.

COPYRIGHT